/*
Original script by Etromania
Edited with kind permission by Tally
*/
main()
{
	defineCvars();
	
	if(getcvar("sv_weapon_limits") == "1")
		thread checkWeaponLimits();	
}

defineCvars()
{
	if( !isdefined("sv_sniper_nade") || getcvar("sv_sniper_nade") == "") setcvar("sv_sniper_nade", "1");
	if( !isdefined("sv_sniper_smoke") || getcvar("sv_sniper_smoke") == "") setcvar("sv_sniper_smoke", "0");
	if( !isdefined("sv_rifleman_nade") || getcvar("sv_rifleman_nade") == "") setcvar("sv_rifleman_nade", "1");
	if( !isdefined("sv_shotgun_nade") || getcvar("sv_shotgun_nade") == "") setcvar("sv_shotgun_nade", "1");
	if( !isdefined("sv_shotgun_smoke") || getcvar("sv_shotgun_smoke") == "") setcvar("sv_shotgun_smoke", "1");
	if( !isdefined("sv_rifleman_smoke") || getcvar("sv_rifleman_smoke") == "") setcvar("sv_rifleman_smoke", "0");
	if( !isdefined("sv_support_nade") || getcvar("sv_support_nade") == "") setcvar("sv_support_nade", "1");
	if( !isdefined("sv_support_smoke") || getcvar("sv_support_smoke") == "") setcvar("sv_support_smoke", "0");
	if( !isdefined("sv_assault_nade") || getcvar("sv_assault_nade") == "") setcvar("sv_assault_nade", "1");
	if( !isdefined("sv_assault_smoke") || getcvar("sv_assault_smoke") == "") setcvar("sv_assault_smoke", "0");

	if(!isDefined("sv_weapon_limits") || getcvar("sv_weapon_limits") == "") setcvar("sv_weapon_limits", "0");
	
	if(getcvar("sv_limit_BAR") == "") setcvar("sv_limit_BAR", "4");
	if(getcvar("sv_limit_bren") == "") setcvar("sv_limit_bren", "4");
	if(getcvar("sv_limit_kar98ksniper") == "") setcvar("sv_limit_kar98ksniper", "1");
	if(getcvar("sv_limit_nagantsniper") == "") setcvar("sv_limit_nagantsniper", "1");
	if(getcvar("sv_limit_MP40") == "") setcvar("sv_limit_MP40", "10");
	if(getcvar("sv_limit_MP44") == "") setcvar("sv_limit_MP44", "4");
	if(getcvar("sv_limit_ppsh") == "") setcvar("sv_limit_ppsh", "4");
	if(getcvar("sv_limit_springfield") == "") setcvar("sv_limit_springfield", "1");
	if(getcvar("sv_limit_sten") == "") setcvar("sv_limit_sten", "8");
	if(getcvar("sv_limit_thompson") == "") setcvar("sv_limit_thompson", "6");
	if(getcvar("sv_limit_svt40") == "") setcvar("sv_limit_svt40", "5");
	if(getcvar("sv_limit_pps42") == "") setcvar("sv_limit_pps42", "4");
	if(getcvar("sv_limit_greasegun") == "") setcvar("sv_limit_greasegun", "4");
	if(getcvar("sv_limit_shotgun_axis") == "") setcvar("sv_limit_shotgun_axis", "1");
	if(getcvar("sv_limit_shotgun_allies") == "") setcvar("sv_limit_shotgun_allies", "1");
	if(getcvar("sv_limit_enfieldsniper") == "") setcvar("sv_limit_enfieldsniper", "1");	
	if(getcvar("sv_limit_m1carbine") == "") setcvar("sv_limit_m1carbine", "9");
	if(getcvar("sv_limit_m1garand") == "") setcvar("sv_limit_m1garand", "9");
	
}

checkWeaponLimits()
{
	level endon("intermission");
	
	if(getcvar("sv_weapon_limits") == "1")
	{
		bar_Limit = getcvarint("sv_limit_BAR");
		bren_Limit = getcvarint("sv_limit_bren");
		enfieldsniper_Limit = getcvarint("sv_limit_enfieldsniper");
		kar98ksniper_Limit = getcvarint("sv_limit_kar98ksniper");
		nagantsniper_Limit = getcvarint("sv_limit_nagantsniper");
		mp40_Limit = getcvarint("sv_limit_mp40");
		mp44_Limit = getcvarint("sv_limit_mp44");
		ppsh_Limit = getcvarint("sv_limit_ppsh");
		springfield_Limit = getcvarint("sv_limit_springfield");
		sten_Limit = getcvarint("sv_limit_sten");
		thompson_Limit = getcvarint("sv_limit_thompson");	
		greasegun_Limit = getcvarint("sv_limit_greasegun");
		pps42_Limit = getcvarint("sv_limit_pps42");
		shotgun_axis_Limit = getcvarint("sv_limit_shotgun_axis");		
		shotgun_allies_Limit = getcvarint("sv_limit_shotgun_allies");
		m1carbine_Limit = getCvarInt("sv_limit_m1carbine");
		m1garand_Limit = getCvarInt("sv_limit_m1garand");

		for(;;)
		{
			//default temp limits based on cvar limits
			
			shotgun_axis_tempLimit = shotgun_axis_Limit;
			shotgun_allies_tempLimit = shotgun_allies_Limit;
			pps42_tempLimit = pps42_Limit;
			greasegun_tempLimit = greasegun_Limit;
			bar_tempLimit = bar_Limit;
			bren_tempLimit = bren_Limit;
			enfieldsniper_tempLimit = enfieldsniper_Limit;
			kar98ksniper_tempLimit = kar98ksniper_Limit;
			nagantsniper_tempLimit = nagantsniper_Limit;
			mp40_tempLimit = mp40_Limit;
			mp44_tempLimit = mp44_Limit;
			ppsh_tempLimit = ppsh_Limit;
			springfield_tempLimit = springfield_Limit;
			sten_tempLimit = sten_Limit;
			thompson_tempLimit = thompson_Limit;			
			m1carbine_tempLimit = m1carbine_Limit;
			m1garand_tempLimit = m1garand_Limit;
				
			greasegun_count = 0;
			pps42_count = 0;
			shotgun_axis_count = 0;	
			shotgun_allies_count = 0;	
			bar_count = 0;
			bren_count = 0;
			enfieldsniper_count = 0;
			nagantsniper_count = 0;
			ppsh_count = 0;
			springfield_count = 0;
			sten_count = 0;
			thompson_count = 0;
			kar98ksniper_count = 0;
			mp40_count = 0;
			mp44_count = 0;
			m1garand_count = 0;
			m1carbine_count = 0;
			
			//get weapon counts
			players = getentarray("player", "classname");
			for(i = 0; i < players.size; i++)
			{
				player = players[i];
				if(isDefined(player.pers["weapon"]))
				{
					switch(player.pers["weapon"])
					{
					case "shotgun_mp_axis":
						shotgun_axis_count += 1;
						break;
					case "shotgun_mp_allies":
						shotgun_allies_count += 1;
						break;
					case "greasegun_mp":
						greasegun_count += 1;
						break;
					case "pps42_mp":
						pps42_count += 1;
						break;
					case "springfield_mp":
						springfield_count += 1;
						break;
					case "mosin_nagant_sniper_mp":
						nagantsniper_count += 1;
						break;
					case "thompson_mp":
						thompson_count += 1;
						break;
					case "sten_mp":
						sten_count += 1;
						break;
					case "ppsh_mp":
						ppsh_count += 1;
						break;
					case "bren_mp":
						bren_count += 1;
						break;
					case "bar_mp":
						bar_count += 1;
						break;
					case "enfield_scope_mp":
						enfieldsniper_count += 1;
						break;
					case "kar98k_sniper_mp":
						kar98ksniper_count += 1;
						break;
					case "mp40_mp":
						mp40_count += 1;
						break;
					case "mp44_mp":
						mp44_count += 1;
						break;
					case "m1carbine_mp":
						m1carbine_count += 1;
						break;
					case "m1garand_mp":
						m1garand_count += 1;
						break;
										
					}
				}
			}
			//turn on or off weapon cvars based on counts versus limits

			if(greasegun_count < greasegun_tempLimit)
			{
				setcvar("scr_allow_greasegun", "1");
				setcvar("ui_allow_greasegun", "1");
			}
			else
			{
				setcvar("scr_allow_greasegun", "0");
				setcvar("ui_allow_greasegun", "0");
			}
			if(pps42_count < pps42_tempLimit)
			{
				setcvar("scr_allow_pps42", "1");
				setcvar("ui_allow_pps42", "1");
			}
			else
			{
				setcvar("scr_allow_pps42", "0");
				setcvar("ui_allow_pps42", "0");
			}
			if(shotgun_axis_count < shotgun_axis_tempLimit)
			{
				setcvar("scr_allow_shotgun_axis", "1");
				setcvar("ui_allow_shotgun_axis", "1");
			}
			else
			{
				setcvar("scr_allow_shotgun_axis", "0");
				setcvar("ui_allow_shotgun_axis", "0");
			}
			if(shotgun_allies_count < shotgun_allies_tempLimit)
			{
				setcvar("scr_allow_shotgun_allies", "1");
				setcvar("ui_allow_shotgun_allies", "1");
			}
			else
			{
				setcvar("scr_allow_shotgun_allies", "0");
				setcvar("ui_allow_shotgun_allies", "0");
			}
			if(springfield_count < springfield_tempLimit)
			{
				setcvar("scr_allow_springfield", "1");
				setcvar("ui_allow_springfield", "1");
			}
			else
			{
				setcvar("scr_allow_springfield", "0");
				setcvar("ui_allow_springfield", "0");
			}
			if(nagantsniper_count < nagantsniper_tempLimit)
			{
				setcvar("scr_allow_nagantsniper", "1");
				setcvar("ui_allow_nagantsniper", "1");
			}
			else
			{
				setcvar("scr_allow_nagantsniper", "0");
				setcvar("ui_allow_nagantsniper", "0");
			}
			if(thompson_count < thompson_tempLimit)
			{
				setcvar("scr_allow_thompson", "1");
				setcvar("ui_allow_thompson", "1");
			}
			else
			{
				setcvar("scr_allow_thompson", "0");
				setcvar("ui_allow_thompson", "0");
			}
			if(sten_count < sten_tempLimit)
			{
				setcvar("scr_allow_sten", "1");
				setcvar("ui_allow_sten", "1");
			}
			else
			{
				setcvar("scr_allow_sten", "0");
				setcvar("ui_allow_sten", "0");
			}
			if(ppsh_count < ppsh_tempLimit)
			{
				setcvar("scr_allow_ppsh", "1");
				setcvar("ui_allow_ppsh", "1");
			}
			else
			{
				setcvar("scr_allow_ppsh", "0");
				setcvar("ui_allow_ppsh", "0");
			}
			if(bren_count < bren_tempLimit)
			{
				setcvar("scr_allow_bren", "1");
				setcvar("ui_allow_bren", "1");
			}
			else
			{
				setcvar("scr_allow_bren", "0");
				setcvar("ui_allow_bren", "0");
			}
			if(bar_count < bar_tempLimit)
			{
				setcvar("scr_allow_bar", "1");
				setcvar("ui_allow_bar", "1");
			}
			else
			{
				setcvar("scr_allow_bar", "0");
				setcvar("ui_allow_bar", "0");
			}
			
			if(enfieldsniper_count < enfieldsniper_tempLimit)
			{
				setcvar("scr_allow_enfieldsniper", "1");
				setcvar("ui_allow_enfieldsniper", "1");
			}
			else
			{
				setcvar("scr_allow_enfieldsniper", "0");
				setcvar("ui_allow_enfieldsniper", "0");
			}
			if(kar98ksniper_count < kar98ksniper_tempLimit)
			{
				setcvar("scr_allow_kar98ksniper", "1");
				setcvar("ui_allow_kar98ksniper", "1");
			}
			else
			{
				setcvar("scr_allow_kar98ksniper", "0");
				setcvar("ui_allow_kar98ksniper", "0");
			}
			if(mp40_count < mp40_tempLimit)
			{
				setcvar("scr_allow_mp40", "1");
				setcvar("ui_allow_mp40", "1");
			}
			else
			{
				setcvar("scr_allow_mp40", "0");
				setcvar("ui_allow_mp40", "0");
			}
			if(mp44_count < mp44_tempLimit)
			{
				setcvar("scr_allow_mp44", "1");
				setcvar("ui_allow_mp44", "1");
			}
			else
			{
				setcvar("scr_allow_mp44", "0");
				setcvar("ui_allow_mp44", "0");
			}
			if(m1carbine_count < m1carbine_tempLimit)
			{
				setcvar("scr_allow_m1carbine", "1");
				setcvar("ui_allow_m1carbine", "1");
			}
			else
			{
				setcvar("scr_allow_m1carbine", "0");
				setcvar("ui_allow_m1carbine", "0");
			}
			if(m1garand_count < m1garand_tempLimit)
			{
				setcvar("scr_allow_m1garand", "1");
				setcvar("ui_allow_m1garand", "1");
			}
			else
			{
				setcvar("scr_allow_m1garand", "0");
				setcvar("ui_allow_m1garand", "0");
			}
		
			level waittill("chkWeapLimits");
		}
	}
}